# Package org.eclipse.ease

Interface Summary
Interface | Description
--- | ---
IDebugEngine | Interface to be implemented by a script debug engine.
IExecutionListener | Interface to be implemented by any class interested in getting notified of script execution event.
IHeaderParser | Parser interface for source code parsers to extract script keywords.
IScriptable | Generic interface for a scriptable object.
IScriptEngine | Interface for a script engine.
IScriptEngineLaunchExtension | Interface for script engine launch extensions.
IScriptEngineProvider | COMMENT add type comment.

Class Summary
Class | Description
--- | ---
AbstractHeaderParser |
AbstractScriptEngine | Base implementation for a script engine.
Activator |
Logger |
Script | Scriptable object.
ScriptResult | A ScriptResult is a container for a script execution.

Exception Summary
Exception | Description
--- | ---
BreakException |
ExitException |